/*****************************************************************************
 *   Copyright (C) 2008 Thomas Kaiser, thomas@ft-fanpage.de                  *
 *   Copyright (C) 2009 Peter "woggle" Mack, mac@denich.net                  *
 *   Copyright (C) 2011 Christian "Cebra" Brandtner, brandtner@brandtner.net *
 *   Copyright (C) 2011 Harald Bongartz                                      *
 *                                                                           *
 *   This program is free software; you can redistribute it and/or modify    *
 *   it under the terms of the GNU General Public License as published by    *
 *   the Free Software Foundation; either version 2 of the License.          *
 *                                                                           *
 *   This program is distributed in the hope that it will be useful,         *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *   GNU General Public License for more details.                            *
 *                                                                           *
 *   You should have received a copy of the GNU General Public License       *
 *   along with this program; if not, write to the                           *
 *   Free Software Foundation, Inc.,                                         *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.               *
 *                                                                           *
 *                                                                           *
 *   Credits to:                                                             *
 *   Holger Buss & Ingo Busker from mikrokopter.de for the MK project + SVN  *
 *                          http://www.mikrokopter.de                        *
 *   Gregor "killagreg" Stobrawa for his version of the MK code              *
 *   Thomas Kaiser "thkais" for the original project. See                    *
 *                          http://www.ft-fanpage.de/mikrokopter/            *
 *                          http://forum.mikrokopter.de/topic-4061-1.html    *
 *   Claas Anders "CaScAdE" Rathje for providing the font and his C-OSD code *
 *                          http://www.mylifesucks.de/oss/c-osd/             *
 *   Harald Bongartz "HaraldB" for providing his Ideas and Code for usibility*
 *****************************************************************************/


#define PAGES 14
#define PARAM_COUNT 150  //FC088
#define PARAM_LENGTH 15
#define PARAM_NUM_LANG 3

//   German           French           Englisch

prog_char param_pages[PAGES][PARAM_NUM_LANG][PARAM_LENGTH]= // zeilen,zeichen+1
{
	{"Kanle        ","Canaux     ","Channel    "},
	{"Konfiguration ","Config     ","main       "},
	{"Stick         ","Manche     ","stick      "},
	{"Looping       ","Looping    ","Looping    "},
	{"Hhe          ","Altitude   ","Altitude   "},
	{"Kamera        ","Camera     ","Camera     "},
	{"NaviCtrl      ","NaviCtrl   ","NaviCtrl   "},
	{"Ausgnge      ","Sorties    ","Outputs    "},
	{"Verschiedenes ","Divers     ","Divers     "},
	{"Gyro          ","Gyro       ","Gyro       "},
	{"Benutzer      ","Parametres ","User       "},
	{"Achskopplung  ","Coupl Axes ","Coupl Axes "},
	{"Mixer-Setup   ","Config Mix ","Config Mix "},
	{"Easy Setup    ","Config Easy","Config Easy"},
};//14


//Namen
prog_char  param_names[PARAM_COUNT][PARAM_NUM_LANG][PARAM_LENGTH]=
{
	// group 0 (kanaele) 1-15

	{"Gas           ","Gaz           ","Throttle      "},
	{"Gier          ","Lacet         ","Gier          "},
	{"Nick          ","Tangage       ","Nick          "},
	{"Roll          ","Roulis        ","Roll          "},
	{"Poti 1        ","Poti 1        ","Poti 1        "},
	{"Poti 2        ","Poti 2        ","Poti 2        "},
	{"Poti 3        ","Poti 3        ","Poti 3        "},
	{"Poti 4        ","Poti 4        ","Poti 4        "},
	{"Poti 5        ","Poti 5        ","Poti 5        "},
	{"Poti 6        ","Poti 6        ","Poti 6        "},
	{"Poti 7        ","Poti 7        ","Poti 7        "},
	{"Poti 8        ","Poti 8        ","Poti 8        "},
	{"Motor Sich.Sch","Mot.Safety Sw.","Mot.Safety Sw."},
	{"Erw. Sig. Pr. ","Recep Renforce","Enh. Sig.Check"},
	{"Empfnger Typ ","Type Recepteur","Receiver Type "},


	// group 1 (main) 16-23

	{"Hhenregeler  ","Ctrl Altitude ","Ctrl Altitude "},
	{"GPS           ","GPS           ","GPS           "},
	{"Kompass       ","Compas        ","Compass       "},
	{"KompFest Ausr.","Maintien Cap  ","CompOrient.Fix"},
	{"Erw. Sig. Pr. ","Ctrl Ren Recep","Sens.RcvSigVal"},
	{"Achs(e.)koppl.","Decouplage Axe","Axis Couping  "},
	{"Drehratenbegr.","Limit Vit. Rot","RotRate limit."},
	{"Heading Hold  ","Orient. Fixe  ","Nick/Roll     "},


	// group 2 (stick) 24-27

	{"Nick/Roll P   ","Roul/Tang P   ","Nick/Roll P   "},
	{"Nick/Roll D   ","Roul/Tang D   ","Nick/Roll D   "},
	{"Gier P        ","Lacet P       ","Gier P        "},
	{"Externe Kontr.","Ctrl Externe  ","Extern Ctrl   "},


	// group3 : (looping) 28-36

	{"Looping oben  ","Looping Avant ","Looping up    "},
	{"Looping unten ","Looping Arrier","Looping down  "},
	{"Looping links ","Looping Gauche","Looping left  "},
	{"Looping rechts","Looping Droite","Looping right "},
	{"Gas Limit     ","Limite Gaz    ","Throttle Limit"},
	{"Ansprechschw. ","Seuil Reponse ","Seuil Reponse "},
	{"Hysterese     ","Hysteresis    ","Hysteresis    "},
	{"Umkehrp. Nick ","Invers Roulis ","Nick Invers  "},
	{"Umkehrp. Roll ","Invers Tangage","Roll Invers  "},


	// group 4 (hoehe) 37-50

	{"Hhenregelung ","Ctrl Altitude ","Altitude Ctrl "},
	{"J:HBeg,N:Vario","Y:LimH,N:Vario","Y:LimH,N:Vario"},
	{"Schalter f. H.","Swith Hauteur ","Switch f. High"},
	{"akust. Vario  ","Vario Acoustic","acoustic Vario"},
	{"Sollhhe      ","Hauteur Max   ","Setpoint      "},
	{"Min. Gas      ","Gaz Min       ","min. throttle "},
	{"Hhe P        ","Altitude P    ","Altitude P    "},
	{"Luftdruck D   ","Pression D    ","Barometric D  "},
	{"Z-ACC         ","ACC Z         ","ACC Z         "},
	{"Max. Hhe     ","Max. High     ","Max. High     "},
	{"Verstrkung/R ","Gain/Frequence","gain/rate     "},
	{"Schwebegas +/-","Var Vol Stat  ","hoover varia. "},
	{"GPS Z         ","GPS Z         ","GPS Z         "},
	{"Stick Neutr. P","Pos Neutre Man","stick neutr. P"},


	// group 5 : (kamera) 51-68

	{"Nick S. Anst. ","Asserv Tangage","nick serv ctrl"},
	{"Nick Kompens. ","Comp Tangage  ","nick compens. "},
	{"Nick Umkehren ","Inverser Roul ","nick inv. dir."},
	{"Nick Servo min","Servo Min     ","nick servo min"},
	{"Nick Servo max","Servo Max     ","nick servo max"},
	{"Nick Serv Filt","Nick Serv Filt","Nick Serv Filt"},  //FC0.88

	{"Roll S. Anst. ","Asserv Roulis ","roll serv ctrl"},
	{"Roll Kompens. ","Comp Tangage  ","roll compens. "},
	{"Roll Umkehren ","Inverser Tang ","roll inv. dir."},
	{"Roll Servo min","Servo Min     ","roll servo min"},
	{"Roll Servo max","Servo Max     ","roll servo max"},
	{"Roll Serv Filt","Roll Serv Filt","Roll Serv Filt"},  //FC0.88

	{"Anst. Geschw. ","Taux Refresh  ","servo refresh "},
	{"Manuelle Gesch","Vitesse Man.  ","manuell Speed "},
	{"Cam Richtung  ","Cam Orient    ","Cam Orient    "},
	{"Servo 3       ","Servo 3       ","Servo 3       "},
	{"Servo 4       ","Servo 4       ","Servo 4       "},
	{"Servo 5       ","Servo 5       ","Servo 5       "},


	// group 6 : (navictrl) 69-88

	{"GPS           ","Activer GPS   ","enable GPS    "},
	{"GPS Modus St. ","Def Mode GPS  ","GPS mode contr"},
	{"GPS Verstrk. ","Gain GPS      ","GPS Gain      "},
	{"GPS St. Schw. ","Seuil Manche  ","GPS stick thre"},
	{"Min. Sat.     ","Nbre Min. Sat.","Min. Sat.     "},
	{"GPS-P         ","GPS-P         ","GPS-P         "},
	{"GPS-I         ","GPS-I         ","GPS-I         "},
	{"GPS-D         ","GPS-D         ","GPS-D         "},
	{"P Limit       ","Limite P      ","Limit  P      "},
	{"I Limit       ","Limite I      ","Limit  I      "},
	{"D Limit       ","Limite D      ","Limit  D      "},
	{"GPS Acc       ","Accel GPS     ","GPS Acc       "},
	{"GPS Windkorr. ","Correct Vent  ","GPS Wind Corr."},
	{"Bremswirkung  ","Compens Vit   ","Speed compens."},
	{"GPS max. Rad. ","Rayon GPS Max ","GPS max.radius"},
	{"GPS Winkel Li.","Limit Angl GPS","GPS angl.limit"},
	{"PH Login time ","Tps Memoris   ","PH login time "},
	{"Dynamic PH    ","Dynamic PH    ","Dynamic PH    "},
	{"GPS m. Rad dPH","GPS m. Rad dPH","GPS m. Rad dPH"}, //FC0.88
	{"CH Hhe       ","CH High       ","CH High       "},


	// group 7 : (ausgaenge) 89-98

	{"LED1 Bitmaske ","Bitmask S1    ","Out1 Bitmask  "},
	{"     Timing   ","Horloge S1    ","Out1 Timing   "},
	{"     sofort an","Actif         ","Activ         "},
	{"     n.m.Motor","Actif Au Repos","Act. wi. Motor"},
	{"LED2 Bitmaske ","Bitmask S2    ","Out2 Bitmask  "},
	{"     Timing   ","Horloge S2    ","Out2 Timing   "},
	{"     sofort an","Actif         ","Activ         "},
	{"     n.m.Motor","Actif Au Repos","Act. wi. Motor"},
	{"LED1 Vmin.Warn","Al Undervoltag","Out1 undervolt"},
	{"LED2 Vmin.Warn","Al Undervoltag","Out2 undervolt"},


	// group 8 : (verschiedenes) 99-113

	{"Min. Gas      ","Gaz Min.      ","min. throttle "},
	{"Max. Gas      ","Gaz Max.      ","max. throttle "},
	{"Kompasswirkung","Effet compas  ","compass effect"},
	{"Carefree St.  ","Carefree Ctrl ","Carefree Ctrl "},
	{"Teachable Care","Teachable Care","Teachable Care"},
	{"Unterspannung ","Sous Tension  ","undervoltage  "},
	{"Volt Referenz ","Tension Ref   ","Volt Referenz "},
	{"Not Gas Zeit  ","Duree secours ","Emerg.Thr.Time"},
	{"Not Gas       ","Gaz de secours","Emerg.Throttle"},
	{"Fails. CH Time","Fails. CH Time","Fails. CH Time"},
        {"Fails. Channel","Fails. Channel","Fails. Channel"}, //FC 0.88
        {"k.Summer o Sen","n beep act TX ","n beep act TX "}, // Pos Change FC0.88
        {"Vario fail Alt","Vario fail Alt","Vario fail Alt"}, //FC 0.88
	{"Compass Error ","Compass Error ","Compass Error "},
	{"k.Start o.SD-K","n st. wtho SD ","n st. wtho SD "}, //FC 0.88

	// group 9 : (gyro) 114-126

	{"Gyro P        ","Gyro P        ","Gyro P        "},
	{"Gyro I        ","Gyro I        ","Gyro I        "},
	{"Gyro D        ","Gyro D        ","Gyro D        "},
	{"Gier P        ","Lacet P       ","Lacet P       "},
	{"Gier I        ","Lacet I       ","Lacet I       "},
	{"Dynamische St.","Stab Dynamique","dynamic stabi."},
	{"Drehratenbeg. ","Limit Dit Rota","RotRate limit."},
	{"ACC/Gyro Fak. ","ACC/Gyro Fact ","ACC/Gyro Fact "},
	{"ACC/Gyro Komp.","Comp ACC/Gyro ","Comp ACC/Gyro "},
	{"Hauptregler I ","Regul Princ I ","Main I        "},
	{"Drifkompensat.","Compens Deriv ","drift Compens."},
	{"Gyro stab.    ","Gyro Stability","Gyro stability"},
	{"Motor smooth  ","Motor Smooth  ","Motor smooth  "},


	// group 10: (benutzer) 127-134

	{"Parameter 1   ","Parameter 1   ","Parameter 1   "},
	{"Parameter 2   ","Parameter 2   ","Parameter 2   "},
	{"Parameter 3   ","Parameter 3   ","Parameter 3   "},
	{"Parameter 4   ","Parameter 4   ","Parameter 4   "},
	{"Parameter 5   ","Parameter 5   ","Parameter 5   "},
	{"Parameter 6   ","Parameter 6   ","Parameter 6   "},
	{"Parameter 7   ","Parameter 7   ","Parameter 7   "},
	{"Parameter 8   ","Parameter 8   ","Parameter 8   "},


	// group 11: (achskopplung) 135-138

	{"Achs(e.)koppl.","(De)Coupl Axes","(De)Coupl Axes"},
	{"Gier pos. Kopp","Retroac Lacet ","Retroac lacet "},
	{"Nick/Roll Kopp","Retro Roul/Tan","Retro roul/tan"},
	{"Gier Korrektur","Correct Lacet ","Correct lacet "},


	// group 12: (mixer) 139

	{"Orientierung  ","Orientierung  ","Orientation   "},


	// group 13 (easy) 140-150

	{"Hhenregelung ","Ctrl Altitude ","Altitude Ctrl "},
	{"Sollhhe      ","Hauteur Max   ","Setpoint      "},
	{"Stick Neutr. P","Pos Neutre Man","stick neutr. P"},
	{"GPS           ","Activer GPS   ","enable GPS    "},
	{"GPS Modus St. ","Def mode GPS  ","GPS mode contr"},
	{"Dynamic PH    ","Dynamic PH    ","Dynamic PH    "},
	{"CH Hhe       ","CH High       ","CH High       "},
	{"Carefree St.  ","Carefree Ctrl ","Carefree Ctrl "},
	{"Teachable Care","Teachable Care","Teachable Care"},
	{"Motor Sich.Sch","Mot.Safety Sw.","Mot.Safety Sw."},
	{"Orientierung  ","Orientierung  ","Orientation   "},

};

